
_managerHome:
    pattern:   /manager
    defaults:  { _controller: TradeAvJobBoardBundle:Back\Ad:List, currentStatus: "newOffers" }

_managerAdslist:
    pattern:   /manager/offres/{currentStatus}
    defaults:  { _controller: AvJobBoardBundle:Back\Ad:List, currentStatus: "newOffers" }

adsListByStatus:
    pattern:   /manager/ads/list/{status}/{page}/{orderby}/{way}
    defaults:  { _controller: AvJobBoardBundle:Back\Ad:ListByStatus, page: 1, orderby: 'updatedAt', way: 'DESC', currentStatus: "new" }
    requirements:
        page:  \d+

managerAdShow:
    pattern:   /manager/offre/{id}
    defaults:  { _controller: AvJobBoardBundle:Back\Ad:Show }


Back_Applicant_List:
    pattern:   /manager/candidats/{currentStatus}
    defaults:  { _controller: AvJobBoardBundle:Back:ApplicantsList, currentStatus: "newApplicants" }
    

managerNewAd:
    pattern:   /manager/deposer-une-nouvelle-offre/
    defaults:  { _controller: AvJobBoardBundle:Back\Ad:New }
    
managerCreateAd:
    pattern:   /manager/deposer-une-nouvelle-offre/create
    defaults:  { _controller: AvJobBoardBundle:Back\Ad:Create }
    
managerUpdateAd:
  pattern: /manager/offres/{id}/update
  defaults:  { _controller: AvJobBoardBundle:Back\Ad:Create }
    
frontAdConfirm:
    pattern: /confirmation-du-depot-de-votre-annonce/{id}
    defaults:  { _controller: AvJobBoardBundle:Back\Ad:NewAdConfirm }


managerChangeAdStatus:
    pattern:   /manager/offre/{id}/modifier-le-statut/{status}/{currentStatus}
    defaults:  { _controller: AvJobBoardBundle:Back\Ad:UpdateStatus, currentStatus: "newOffers" }


applicantShow:
    pattern:   /manager/candidat/{id}
    defaults:  { _controller: AvJobBoardBundle:Back:Applicant:Show }

managerChangeApplicantStatus:
    pattern:   /manager/candidat/{id}/modifier-le-statut/{status}/{currentStatus}
    defaults:  { _controller: AvJobBoardBundle:Back:Applicant:DefineStatus, currentStatus: "newApplicants" }
    
applicantsListByStatus:
    pattern:   /manager/applicants/list/{status}/{page}/{orderby}/{way}
    defaults:  { _controller: AvJobBoardBundle:Back:Applicant:ListByStatus, page: 1, orderby: 'applyDate', way: 'DESC'  }
    requirements:
        page:  \d+
        


frontAdShow:
    pattern:   /offre/{id}
    defaults:  { _controller: AvJobBoardBundle:Front:Show }
    
frontAdList:
    pattern:   /liste-des-offres/{page}/{orderby}/{way}
    defaults:  { _controller: AvJobBoardBundle:Front:List, status: 'published', page: 1, orderby: 'updatedAt', way: 'DESC'}

frontAdListByCity:
    pattern:   /liste-des-offres/{city}/{page}/{orderby}/{way}
    defaults:  { _controller: AvJobBoardBundle:Front:ListByCity, status: 'published', page: 1, orderby: 'updatedAt', way: 'DESC'}

frontAdListByCountry:
    pattern:   /liste-des-offres/{country}/{page}/{orderby}/{way}
    defaults:  { _controller: AvJobBoardBundle:Front:ListByCountry, status: 'published', page: 1, orderby: 'updatedAt', way: 'DESC'}
   
applyAd:
    pattern:   /postuler-a-une-offre/{adId}
    defaults:  { _controller: AvJobBoardBundle:Front:Apply, adId: 'adId'}
    